LIBOBJDIR = .libobjs
AR_LIBS = ../jpilot-0.98/.libs/libplugin.a
LN_S = ln -s

extract:
	rm -rf $(LIBOBJDIR)
	mkdir $(LIBOBJDIR)
	for xlib in $(AR_LIBS); do \
	    case "$$xlib" in \
	        [\\/]* | [A-Za-z]:[\\/]*) xabs="$$xlib" ;; \
		*) xabs=`pwd`"/$$xlib" ;; \
	    esac ;\
	    xlib=`echo "$$xlib" | sed -e 's%^.*/%%'` ;\
	    xdir="$(LIBOBJDIR)/$$xlib" ;\
	    rm -rf $$xdir ;\
	    mkdir $$xdir ;\
	    status=$$? ;\
	    if test $$status -ne 0 && test ! -d "$$xdir"; then \
	        echo "Cannot create $$xdir" ;\
		exit 1 ;\
	    fi ;\
	    eval "(cd \$$xdir && ar x \$$xabs)" || exit 1 ;\
	    for obj in $$xdir/*.o; do \
	        obj=`echo $$obj | sed -e 's%^.*/%%'` ;\
	        lobj=`echo $$obj | sed -e 's/\.o/.lo/'` ;\
		eval "(cd \$$xdir && $(LN_S) \$$obj \$$lobj)" ;\
	    done ;\
	done
